=== debian/changelog ===
phonon (4:4.12.0-7) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix phonon4settings depending on libphonon4qt5-4t64.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Feb 2026 16:04:44 +0100

phonon (4:4.12.0-6) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add po-debconf Italian translation. Thanks Luca (@mondo-guest).
  * Bump Standards-Version to 4.7.3, no change required.
  * Switch to debian/watch format version 5.
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.
  * Build phononsettings against Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 02 Feb 2026 09:31:02 +0100

phonon (4:4.12.0-5) unstable; urgency=medium

  * Team upload.

  [ Carles Pina i Estany ]
  * Add Catalan translation. (Closes: #1106330)

  [ Aurélien COUDERC ]
  * Update symbols from build for 4.12.0.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop unused lintian overrides.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 00:53:58 +0200

phonon (4:4.12.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add alternate dependency id 1 to all Qt6 symbols representing
    methods from mediaobjectinterface.h so that users of theses symbols
    pull the alternate phonon4qt6 dependency and get a working phonon
    backend automatically.
  * Update symbols from build for 4.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 23:22:26 +0200

phonon (4:4.12.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063226

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:46:58 +0000

phonon (4:4.12.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch libphonon4qt5-4 to libphonon-l10n, instead of using the transitional
    libphonon4qt5-data.
  * Fix the recommended backend in phonon4qt6 to be the Qt 6 one, rather than
    the Qt 5 one.
  * Simplify installation of the Qt 6 designer plugin to the right location.
  * Drop unused build dependencies:
    - dpkg-dev >= 1.15.5 (really ancient): added in 4:4.6.0really4.3.80-1,
      it is not clear what it was added for; after 13 years, it is likely no
      more needed
    - libqt5opengl5-dev (Closes: #981254)

 -- Pino Toscano <pino@debian.org>  Wed, 08 Nov 2023 07:03:15 +0100

phonon (4:4.12.0-2) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Force the build of phononsettings with Qt 5, regardless of the available
    Qt versions; see longer explanation in its header; patch settings-qt5.diff.
  * Since libphonon4qt5-data contains only unversioned localization files, move
    its content to a new libphonon-l10n
    - turn libphonon4qt5-data into a transitional package
  * Move the removals of phonon4qt5 headers from a dh_install override to a
    execute_after_dh_auto_install hook, so it is done earlier, and without
    invoking a dh tool manually.
  * Build Qt 6 libraries:
    - add the qt6-base-dev, qt6-5compat-dev, and qt6-tools-dev build
      dependencies
    - drop the -DPHONON_BUILD_QT6=OFF cmake option, as the build system can
      build both the Qt 5 and Qt 6 versions at the same time
    - add new libphonon4qt6-4, libphonon4qt6-dev, libphonon4qt6experimental-dev,
      libphonon4qt6experimental4, phonon4qt6, phonon4qt6-backend-null binary
      packages as counterparts of their Qt 5 versions
    - extend the handling of the default backend for Qt 6
    - move the Qt 6 designer plugin to the proper location manually for now
  * Update symbols files from the logs of buildds.

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf templates translation. (Closes: #1033386)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Nov 2023 08:25:17 +0100

phonon (4:4.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 4:4.3.0-1.
  * Update standards version to 4.6.2, no changes needed.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update the upstream GPG signing key.
  * Pass -DPHONON_BUILD_QT6=OFF to cmake to disable the Qt 6 build for now.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.90
    - bump Qt 5 packages to 5.15.0
  * Update install files.
  * Update lintian overrides.
  * Add Rules-Requires-Root: no.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Nov 2023 21:21:41 +0100
