=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with kf6

RECOMMENDED_PHONON4_QT5_BACKEND := phonon4qt5-backend-vlc
RECOMMENDED_PHONON4_QT6_BACKEND := phonon4qt6-backend-vlc

execute_after_dh_auto_install:
	rm -v debian/tmp/usr/include/phonon4qt5/KDE/Phonon/AudioDevice
	rm -v debian/tmp/usr/include/phonon4qt5/KDE/Phonon/AudioDeviceEnumerator

# shlibs is needed for library-packages.mk (strict shlibs) to work
override_dh_makeshlibs:
	dh_makeshlibs -plibphonon4qt5-4t64 -V'libphonon4qt5-4 (>= $(DEB_VERSION_EPOCH_UPSTREAM)), phonon4qt5'
	dh_makeshlibs -plibphonon4qt6-4t64 -V'libphonon4qt6-4 (>= $(DEB_VERSION_EPOCH_UPSTREAM)), phonon4qt6'
	dh_makeshlibs -V --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -- -xphonon4qt5 -xphonon4qt6

override_dh_gencontrol:
	# Expand some variables in maintainer scripts and debconf templates
	@for f in debian/*/DEBIAN/post* \
	          debian/*/DEBIAN/pre* \
	          debian/*/DEBIAN/config \
	          debian/*/DEBIAN/templates; do \
	    if [ -f "$$f" ]; then \
	        cmd="awk -f debian/expand_vars.awk -v recommended4qt5_backend='$(RECOMMENDED_PHONON4_QT5_BACKEND)' -v recommended4qt6_backend='$(RECOMMENDED_PHONON4_QT6_BACKEND)' -- $$f > $$f.tmp && cat $$f.tmp >| $$f && rm -f $$f.tmp"; \
	        echo "$$cmd"; eval "$$cmd"; \
	    fi; \
	done
	if [ -d debian/phonon4qt5-backend-null ]; then \
	    sed -i 's/\$${recommended4qt5_backend}/$(RECOMMENDED_PHONON4_QT5_BACKEND)/g' \
	        debian/phonon4qt5-backend-null/usr/share/doc/phonon4qt5-backend-null/README.Debian; \
	fi
	if [ -d debian/phonon4qt6-backend-null ]; then \
	    sed -i 's/\$${recommended4qt6_backend}/$(RECOMMENDED_PHONON4_QT6_BACKEND)/g' \
	        debian/phonon4qt6-backend-null/usr/share/doc/phonon4qt6-backend-null/README.Debian; \
	fi
	dh_gencontrol -- -Vphonon:Recommended-Backend-qt5=$(RECOMMENDED_PHONON4_QT5_BACKEND) -Vphonon:Recommended-Backend-qt6=$(RECOMMENDED_PHONON4_QT6_BACKEND)
