## phonon 4.12.0+p24.04+vstable+git20250917.0042

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20250917.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:42:14 +0000

phonon (4:4.12.0-11neon) noble; urgency=medium

  [ Carlos De Maine ]
  * Initial repackage with dual build qt5 & qt6

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Nov 2023 19:11:06 +0000

phonon (4:4.11.1-4) UNRELEASED; urgency=medium

  [ Debconf translation updates ]
  * Dutch (Frans Spiesschaert). (Closes: #945358)
  * Portuguese (Américo Monteiro). (Closes: #962410)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 25 Nov 2019 15:16:52 -0300
