=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20251020.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:04:39 +0000
