## phonon 4.12.0+p24.04+vstable+git20260102.1243

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20260102.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:43:48 +0000
