## phonon 4.12.0+p24.04+vstable+git20260113.0229

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20260113.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:29:55 +0000
