## phonon 4.12.0+p24.04+vstable+git20260116.0222

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20260116.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:22:06 +0000
