## phonon 4.12.0+p24.04+vunstable+git20250924.0943

=== phonon/CMakeLists.txt ===
--- 
+++ 
@@ -95,10 +95,6 @@
         ${optional_link_libraries}
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(${PHONON_LIB_SONAME} PRIVATE Qt6::Core5Compat)
-endif()
-
 set_target_properties(${PHONON_LIB_SONAME}
     PROPERTIES
         VERSION ${PHONON_VERSION}
